#Modified by BradChou in 20090920

DEBUG=1
echo "Debug mode is: " DEBUG

mkdir kernel
cd kernel
#in kernel
if [ "$DEBUG" == "1" ]; then
    pwd
    echo "android_source/kernel"
fi

git clone https://android.googlesource.com/kernel/lk.git
git clone https://android.googlesource.com/kernel/omap.git
git clone https://android.googlesource.com/kernel/experimental.git
git clone https://android.googlesource.com/kernel/msm.git 
git clone https://android.googlesource.com/kernel/common.git

cd ..
mkdir tools
cd tools
#in tools
if [ "$DEBUG" == "1" ]; then
    pwd
    echo "android_source/tools"
fi

git clone https://android.googlesource.com/tools/gimd.git
git clone https://android.googlesource.com/tools/gwtexpui.git
git clone https://android.googlesource.com/tools/gerrit-contactstore.git
git clone https://android.googlesource.com/tools/gerrit-keyapplet.git
git clone https://android.googlesource.com/tools/executablewar.git
git clone https://android.googlesource.com/tools/gwtorm.git
git clone https://android.googlesource.com/tools/gwtjsonrpc.git 
git clone https://android.googlesource.com/tools/repo.git
git clone https://android.googlesource.com/tools/protobuf.git
git clone https://android.googlesource.com/tools/manifest.git
git clone https://android.googlesource.com/tools/gerrit.git
git clone https://android.googlesource.com/tools/android-issuetrackerredirect.git

mkdir test
cd test          
#in tools/test
if [ "$DEBUG" == "1" ]; then
    pwd
    echo "android_source/tools/test"
fi

git clone https://android.googlesource.com/tools/test/project0.git
git clone https://android.googlesource.com/tools/test/manifest.git


cd ../../
#in /
if [ "$DEBUG" == "1" ]; then
    pwd
    echo "android_source/"
fi

mkdir bootable
cd bootable          
#in /bootable
if [ "$DEBUG" == "1" ]; then
    pwd
    echo "android_source/bootable"
fi

git clone https://android.googlesource.com/platform/bootable/recovery.git 
git clone https://android.googlesource.com/platform/bootable/diskinstaller.git

mkdir bootloader       
cd bootloader          
#in /bootable/bootloader
if [ "$DEBUG" == "1" ]; then
    pwd
    echo "android_source/bootable/bootloader"
fi

git clone https://android.googlesource.com/platform/bootable/bootloader/legacy.git 

cd ../../
mkdir vendor
cd vendor
#in /vendor
if [ "$DEBUG" == "1" ]; then
    pwd
    echo "android_source/vendor/"
fi  

git clone https://android.googlesource.com/platform/vendor/sample.git

mkdir csr
cd csr
#in /vendor/csr
if [ "$DEBUG" == "1" ]; then
    pwd
    echo "android_source/vendor/csr"
fi 

git clone https://android.googlesource.com/platform/vendor/csr/unifi-60xx.git
git clone https://android.googlesource.com/platform/vendor/csr/unifi-105x.git

cd ../
mkdir asus
cd asus
#in /vendor/asus
if [ "$DEBUG" == "1" ]; then
    pwd
    echo "android_source/vendor/asus"
fi   


git clone https://android.googlesource.com/platform/vendor/asus/eee_701.git

cd ../
mkdir qcom
cd qcom
#in /vendor/qcom
if [ "$DEBUG" == "1" ]; then
    pwd
    echo "android_source/vendor/qcom"
fi   


git clone https://android.googlesource.com/platform/vendor/qcom/surf.git 

cd ../
mkdir htc
cd htc
#in /vendor/htc
if [ "$DEBUG" == "1" ]; then
    pwd
    echo "android_source/vendor/htc"
fi   

git clone https://android.googlesource.com/platform/vendor/htc/dream-open.git 

cd ../../
mkdir system
cd system
mkdir wlan
cd wlan
#in /system/wlan
if [ "$DEBUG" == "1" ]; then
    pwd
    echo "android_source/system/wlan"
fi   

git clone https://android.googlesource.com/platform/system/wlan/ti.git 
git clone https://android.googlesource.com/platform/system/wlan/broadcom.git

cd ../
#in /system
if [ "$DEBUG" == "1" ]; then
    pwd
    echo "android_source/system"
fi   

git clone https://android.googlesource.com/platform/system/extras.git
git clone https://android.googlesource.com/platform/system/core.git 
git clone https://android.googlesource.com/platform/system/bluetooth.git 

cd ../
#in /
if [ "$DEBUG" == "1" ]; then
    pwd
    echo "android_source/"
fi   

git clone https://android.googlesource.com/platform/recovery.git 
git clone https://android.googlesource.com/platform/prebuilt.git 

mkdir packages
cd packages
mkdir inputmethods
cd inputmethods
#in /packages/inputmethods
if [ "$DEBUG" == "1" ]; then
    pwd
    echo "android_source/packages/inputmethods"
fi   

git clone https://android.googlesource.com/platform/packages/inputmethods/OpenWnn.git
git clone https://android.googlesource.com/platform/packages/inputmethods/PinyinIME.git
git clone https://android.googlesource.com/platform/packages/inputmethods/LatinIME.git

cd ../
mkdir providers
cd providers
#in /packages/providers
if [ "$DEBUG" == "1" ]; then
    pwd
    echo "android_source/packages/providers"
fi   

git clone https://android.googlesource.com/platform/packages/providers/WebSearchProvider.git
git clone https://android.googlesource.com/platform/packages/providers/ApplicationsProvider.git
git clone https://android.googlesource.com/platform/packages/providers/UserDictionaryProvider.git
git clone https://android.googlesource.com/platform/packages/providers/TelephonyProvider.git 
git clone https://android.googlesource.com/platform/packages/providers/MediaProvider.git 
git clone https://android.googlesource.com/platform/packages/providers/ImProvider.git 
git clone https://android.googlesource.com/platform/packages/providers/GoogleSubscribedFeedsProvider.git 
git clone https://android.googlesource.com/platform/packages/providers/GoogleContactsProvider.git 
git clone https://android.googlesource.com/platform/packages/providers/DrmProvider.git 
git clone https://android.googlesource.com/platform/packages/providers/DownloadProvider.git 
git clone https://android.googlesource.com/platform/packages/providers/ContactsProvider.git 
git clone https://android.googlesource.com/platform/packages/providers/CalendarProvider.git 

cd ../
mkdir apps
cd apps
#in /packages/apps
if [ "$DEBUG" == "1" ]; then
    pwd
    echo "android_source/packages/apps"
fi   

git clone https://android.googlesource.com/platform/packages/apps/GlobalSearch.git
git clone https://android.googlesource.com/platform/packages/apps/OTAProvisioningClient.git
git clone https://android.googlesource.com/platform/packages/apps/VoiceDialer.git 
git clone https://android.googlesource.com/platform/packages/apps/Updater.git 
git clone https://android.googlesource.com/platform/packages/apps/Sync.git 
git clone https://android.googlesource.com/platform/packages/apps/Stk.git 
git clone https://android.googlesource.com/platform/packages/apps/SoundRecorder.git 
git clone https://android.googlesource.com/platform/packages/apps/Settings.git 
git clone https://android.googlesource.com/platform/packages/apps/Phone.git 
git clone https://android.googlesource.com/platform/packages/apps/PackageInstaller.git 
git clone https://android.googlesource.com/platform/packages/apps/Music.git 
git clone https://android.googlesource.com/platform/packages/apps/Mms.git 
git clone https://android.googlesource.com/platform/packages/apps/Launcher.git 
git clone https://android.googlesource.com/platform/packages/apps/IM.git 
git clone https://android.googlesource.com/platform/packages/apps/HTMLViewer.git 
git clone https://android.googlesource.com/platform/packages/apps/GoogleSearch.git 
git clone https://android.googlesource.com/platform/packages/apps/Email.git 
git clone https://android.googlesource.com/platform/packages/apps/Contacts.git 
git clone https://android.googlesource.com/platform/packages/apps/Camera.git 
git clone https://android.googlesource.com/platform/packages/apps/Calendar.git 
git clone https://android.googlesource.com/platform/packages/apps/Calculator.git 
git clone https://android.googlesource.com/platform/packages/apps/Browser.git 
git clone https://android.googlesource.com/platform/packages/apps/AlarmClock.git 

cd ../../
#in /
if [ "$DEBUG" == "1" ]; then
    pwd
    echo "android_source/"
fi   

git clone https://android.googlesource.com/platform/manifest.git 

mkdir hardware
cd hardware
#in /hardware
if [ "$DEBUG" == "1" ]; then
    pwd
    echo "android_source/hardware"
fi   

git clone https://android.googlesource.com/platform/hardware/libhardware_legacy.git
git clone https://android.googlesource.com/platform/hardware/alsa_sound.git 
git clone https://android.googlesource.com/platform/hardware/msm7k.git 
git clone https://android.googlesource.com/platform/hardware/ril.git 
git clone https://android.googlesource.com/platform/hardware/libhardware.git

cd ../
mkdir frameworks
cd frameworks
mkdir opt
cd opt
#in /frameworks/opt
if [ "$DEBUG" == "1" ]; then
    pwd
    echo "android_source/frameworks/opt"
fi   

git clone https://android.googlesource.com/platform/frameworks/opt/emoji.git
git clone https://android.googlesource.com/platform/frameworks/opt/com.google.android.googlelogin.git 
git clone https://android.googlesource.com/platform/frameworks/opt/com.google.android.git 

cd ..
mkdir policies
cd policies
#in /frameworks/policies
if [ "$DEBUG" == "1" ]; then
    pwd
    echo "android_source/frameworks/policies"
fi   

git clone https://android.googlesource.com/platform/frameworks/policies/base.git 

cd ..
#in /frameworks
if [ "$DEBUG" == "1" ]; then
    pwd
    echo "android_source/frameworks"
fi 

git clone https://android.googlesource.com/platform/frameworks/base.git 

cd ..
mkdir external
cd external
#in /external
if [ "$DEBUG" == "1" ]; then
    pwd
    echo "android_source/external"
fi 

git clone https://android.googlesource.com/platform/external/svox.git
git clone https://android.googlesource.com/platform/external/speex.git
git clone https://android.googlesource.com/platform/external/ipsec-tools.git
git clone https://android.googlesource.com/platform/external/blktrace.git
git clone https://android.googlesource.com/platform/external/junit.git
git clone https://android.googlesource.com/platform/external/mtpd.git
git clone https://android.googlesource.com/platform/external/lcc.git
git clone https://android.googlesource.com/platform/external/hcidump.git
git clone https://android.googlesource.com/platform/external/gtest.git
git clone https://android.googlesource.com/platform/external/eglib.git
git clone https://android.googlesource.com/platform/external/astl.git
git clone https://android.googlesource.com/platform/external/alsa-utils.git 
git clone https://android.googlesource.com/platform/external/dosfstools.git 
git clone https://android.googlesource.com/platform/external/xdelta3.git 
git clone https://android.googlesource.com/platform/external/grub.git 
git clone https://android.googlesource.com/platform/external/genext2fs.git
git clone https://android.googlesource.com/platform/external/fsck_msdos.git 
git clone https://android.googlesource.com/platform/external/embunit.git 
git clone https://android.googlesource.com/platform/external/e2fsprogs.git 
git clone https://android.googlesource.com/platform/external/bzip2.git 
git clone https://android.googlesource.com/platform/external/bsdiff.git 
git clone https://android.googlesource.com/platform/external/bison.git 
git clone https://android.googlesource.com/platform/external/alsa-lib.git 
git clone https://android.googlesource.com/platform/external/tesseract.git 
git clone https://android.googlesource.com/platform/external/zlib.git 
git clone https://android.googlesource.com/platform/external/yaffs2.git 
git clone https://android.googlesource.com/platform/external/wpa_supplicant.git
git clone https://android.googlesource.com/platform/external/webkit.git 
git clone https://android.googlesource.com/platform/external/tremor.git 
git clone https://android.googlesource.com/platform/external/tinyxml.git 
git clone https://android.googlesource.com/platform/external/tcpdump.git 
git clone https://android.googlesource.com/platform/external/tagsoup.git 
git clone https://android.googlesource.com/platform/external/strace.git 
git clone https://android.googlesource.com/platform/external/srec.git 
git clone https://android.googlesource.com/platform/external/sqlite.git 
git clone https://android.googlesource.com/platform/external/sonivox.git 
git clone https://android.googlesource.com/platform/external/skia.git 
git clone https://android.googlesource.com/platform/external/safe-iop.git 
git clone https://android.googlesource.com/platform/external/qemu.git 
git clone https://android.googlesource.com/platform/external/protobuf.git 
git clone https://android.googlesource.com/platform/external/ppp.git 
git clone https://android.googlesource.com/platform/external/ping.git 
git clone https://android.googlesource.com/platform/external/oprofile.git 
git clone https://android.googlesource.com/platform/external/openssl.git 
git clone https://android.googlesource.com/platform/external/opencore.git 
git clone https://android.googlesource.com/platform/external/neven.git 
git clone https://android.googlesource.com/platform/external/netperf.git 
git clone https://android.googlesource.com/platform/external/netcat.git 
git clone https://android.googlesource.com/platform/external/libxml2.git 
git clone https://android.googlesource.com/platform/external/libpng.git 
git clone https://android.googlesource.com/platform/external/libpcap.git 
git clone https://android.googlesource.com/platform/external/libffi.git 
git clone https://android.googlesource.com/platform/external/jpeg.git 
git clone https://android.googlesource.com/platform/external/jhead.git 
git clone https://android.googlesource.com/platform/external/jdiff.git 
git clone https://android.googlesource.com/platform/external/iptables.git 
git clone https://android.googlesource.com/platform/external/icu4c.git 
git clone https://android.googlesource.com/platform/external/googleclient.git
git clone https://android.googlesource.com/platform/external/giflib.git 
git clone https://android.googlesource.com/platform/external/gdata.git 
git clone https://android.googlesource.com/platform/external/freetype.git 
git clone https://android.googlesource.com/platform/external/fdlibm.git 
git clone https://android.googlesource.com/platform/external/expat.git 
git clone https://android.googlesource.com/platform/external/esd.git 
git clone https://android.googlesource.com/platform/external/emma.git 
git clone https://android.googlesource.com/platform/external/elfutils.git 
git clone https://android.googlesource.com/platform/external/elfcopy.git 
git clone https://android.googlesource.com/platform/external/dropbear.git 
git clone https://android.googlesource.com/platform/external/dhcpcd.git 
git clone https://android.googlesource.com/platform/external/dbus.git 
git clone https://android.googlesource.com/platform/external/clearsilver.git
git clone https://android.googlesource.com/platform/external/bluez.git 
git clone https://android.googlesource.com/platform/external/apache-http.git
git clone https://android.googlesource.com/platform/external/aes.git 

cd ..
#in /
if [ "$DEBUG" == "1" ]; then
    pwd
    echo "android_source/"
fi 

git clone https://android.googlesource.com/platform/development.git 
git clone https://android.googlesource.com/platform/dalvik.git 
git clone https://android.googlesource.com/platform/build.git 

mkdir bootloader
cd bootloader
#in /bootloader
if [ "$DEBUG" == "1" ]; then
    pwd
    echo "android_source/bootloader"
fi 

git clone https://android.googlesource.com/platform/bootloader/legacy.git 

cd ..
#in /
if [ "$DEBUG" == "1" ]; then
    pwd
    echo "android_source/"
fi 

git clone https://android.googlesource.com/platform/bionic.git

echo ------- Get Android source code finished!!! -------